commit 639efb3d3b08fb10fb84976cb6db98ea929e9486
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jul 3 23:05:08 2023 +0200

    poppler 23.07.0

 CMakeLists.txt      |  4 ++--
 NEWS                | 26 ++++++++++++++++++++++++++
 cpp/Doxyfile        |  2 +-
 glib/CMakeLists.txt |  4 ++--
 qt5/src/Doxyfile    |  2 +-
 qt6/src/Doxyfile    |  2 +-
 6 files changed, 33 insertions(+), 7 deletions(-)

commit 1b1036cf4ef1bfd70f300da3534375d02195fe32
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jul 3 21:05:14 2023 +0200

    Update (C)

 poppler/Gfx.cc | 1 +
 1 file changed, 1 insertion(+)

commit c40bec5715075c12e7158639c638baa95bfcf2e8
Author: Anton Thomasson <antonthomasson@gmail.com>
Date:   Mon Jun 19 22:04:38 2023 +0200

    Don't abort command when restore runs in to a state guard

    Fixes #1395

 poppler/Gfx.cc | 1 -
 1 file changed, 1 deletion(-)

commit c46203cb5a9c57ba039658d305d6ed8e450d51e8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jul 3 15:25:27 2023 +0200

    Add a few new NSS enums to ConvertHashTypeFromNss

 poppler/NSSCryptoSignBackend.cc | 7 +++++++
 1 file changed, 7 insertions(+)

commit ed7a7887050dd0095ebca2ec7b511f3131242efa
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Mon Jul 3 12:40:56 2023 +0200

    MSVC still unhappy with unicode bits in unicode test

 qt5/tests/check_utf8document.cpp | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit badfea70ce6d81ce7c9ce0a671c80f53d92a4b83
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Fri Jun 30 15:04:42 2023 +0200

    MSVC unhappy with utf8 in QStringLiteral

 qt5/tests/check_utf8document.cpp | 10 +++++-----
 qt6/tests/check_utf8document.cpp | 10 +++++-----
 2 files changed, 10 insertions(+), 10 deletions(-)

commit fac65b3c791b6a1bb3fa83d122b9fce9a6a93ee7
Author: Jan-Michael Brummer <jan.brummer@tabos.org>
Date:   Fri Jun 30 11:50:29 2023 +0200

    Remove g_auto functions

 glib/demo/signature.c    | 9 ++++++---
 glib/poppler-document.cc | 3 ++-
 2 files changed, 8 insertions(+), 4 deletions(-)

commit fa28ba42105b04aef25968e1a31eefeec2c48f4e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jun 30 00:03:28 2023 +0200

    Update (C)

 poppler/GlobalParams.cc | 1 +
 1 file changed, 1 insertion(+)

commit b4f802c88e0642f0f1271cb4a23cd279e699f38d
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Wed Jun 28 15:49:24 2023 +0200

    Improve message on invalid cid font collection

    Hopefully fixes #1408

 poppler/GlobalParams.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bdd922b7caaa965828e0e45a6cde0b1585c9740e
Author: Jan-Michael Brummer <jan.brummer@tabos.org>
Date:   Wed Oct 5 08:20:13 2022 +0200

    Signatures: Add signing API to glib part

    Rectangle corrections by Marek Kasik

 glib/CMakeLists.txt                 |    6 +
 glib/demo/CMakeLists.txt            |    1 +
 glib/demo/main.c                    |    4 +-
 glib/demo/signature.c               |  437 ++++++++++++++
 glib/demo/signature.h               |   31 +
 glib/poppler-document.cc            |   98 ++++
 glib/poppler-document.h             |    5 +
 glib/poppler-form-field.cc          | 1088
 +++++++++++++++++++++++++++++++++++
 glib/poppler-form-field.h           |  114 ++++
 glib/poppler.h                      |    5 +-
 glib/reference/poppler-sections.txt |   51 ++
 glib/reference/poppler.types        |    2 +
 12 files changed, 1840 insertions(+), 2 deletions(-)

commit d1e86894cbb617c64b84fe18cae7294b1cb45eed
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Jun 29 00:35:56 2023 +0200

    Update (C)

 qt5/src/poppler-page.cc | 1 +
 qt6/src/poppler-page.cc | 1 +
 2 files changed, 2 insertions(+)

commit d9d1550a3e337e041cf2801dfcb0366fcb5b16d0
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jun 28 00:47:14 2023 +0200

    Update (C)

 poppler/PDFDoc.cc      | 2 +-
 poppler/PSOutputDev.cc | 1 +
 poppler/PSOutputDev.h  | 1 +
 poppler/XRef.cc        | 1 +
 poppler/XRef.h         | 1 +
 5 files changed, 5 insertions(+), 1 deletion(-)

commit 7d87c7d2c6ca4f814f87329534a17dbf30203313
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Tue Jun 27 22:11:29 2023 +0000

    Allow for stream compression and compress font streams in forms

 CMakeLists.txt                 | 21 ++++-----------------
 config.h.cmake                 |  3 ---
 poppler/Form.cc                |  6 +++---
 poppler/PDFDoc.cc              | 28 ++++++++++++++++++----------
 poppler/PSOutputDev.cc         | 29 ++++++-----------------------
 poppler/PSOutputDev.h          | 11 +----------
 poppler/XRef.cc                | 13 ++++++++++---
 poppler/XRef.h                 | 11 +++++++++--
 poppler/poppler-config.h.cmake |  5 -----
 9 files changed, 51 insertions(+), 76 deletions(-)

commit 2c403ec533ad9ad821c37e3f80f8f361ce9cdea8
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jun 26 00:51:22 2023 +0200

    Fix crash if CERT_ExtractPublicKey doesn't return a public key

    Fixes KDE Bug #471422

 poppler/NSSCryptoSignBackend.cc | 40
 ++++++++++++++++++++++------------------
 1 file changed, 22 insertions(+), 18 deletions(-)

commit 6ebe45e8dceae11d02c74df47c34f4490a45a15e
Author: Kevin Ottens <kevin.ottens@enioka.com>
Date:   Wed Jun 21 15:10:48 2023 +0200

    Don't crash when overprint preview is enabled with the Qt bindings

    When overprint preview is enabled, the image data row size changes
    during conversion to XBGR. The Qt bindings were assuming this row
    size was constant which led to badly broken QImages at conversion
    time (generating garbage if displayed or even crashing).

    This commit simply add regression tests for the case and gets the
    row size after bitmap conversion.

 qt5/src/poppler-page.cc       |  8 ++++----
 qt5/tests/CMakeLists.txt      |  1 +
 qt5/tests/check_overprint.cpp | 41
 +++++++++++++++++++++++++++++++++++++++++
 qt6/src/poppler-page.cc       |  8 ++++----
 qt6/tests/CMakeLists.txt      |  1 +
 qt6/tests/check_overprint.cpp | 38 ++++++++++++++++++++++++++++++++++++++
 6 files changed, 89 insertions(+), 8 deletions(-)

commit f0d648c3f0cb69121d0115d468401d58255ad0cf
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri Jun 16 11:36:53 2023 +0200

    Update (C)

 poppler/UTF.cc | 1 +
 poppler/UTF.h  | 1 +
 2 files changed, 2 insertions(+)

commit 7b199526e6f7bb5a28e8ddd017e23ae51b85b9f6
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Wed Jun 14 16:13:23 2023 +0200

    Cryptosign: OCSP and AIA: Document

    Document how the backends interacts with the OCSP and AIA flags,
    and ensure the implementation matches.

 poppler/GPGMECryptoSignBackend.cc |  2 +-
 qt5/src/poppler-form.h            | 12 ++++++++++++
 qt6/src/poppler-form.h            | 12 ++++++++++++
 3 files changed, 25 insertions(+), 1 deletion(-)

commit b8c55037fcfc0d3910cad5a4e65b3161bd5ea585
Author: Oliver Sander <oliver.sander@tu-dresden.de>
Date:   Wed Jun 14 14:11:52 2023 +0200

    Store PSOutPaperSize objects by value

    This simplifies the code, and saves a few heap allocations.

 poppler/PSOutputDev.cc | 35 ++++++++---------------------------
 poppler/PSOutputDev.h  | 14 ++++++++++++--
 2 files changed, 20 insertions(+), 29 deletions(-)

commit b2ae26814909047b27f30cffaed225b5bb9f96e9
Author: Oliver Sander <oliver.sander@tu-dresden.de>
Date:   Wed Jun 14 13:23:54 2023 +0200

    Store PSOutPaperSize::name as std::string

    Rather than as a pointer to a GooString

    Safer and simpler code, and less memory allocations.

 poppler/PSOutputDev.cc | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit 9306058027b24b926e98da9651df9d56e5f744b0
Author: Oliver Sander <oliver.sander@tu-dresden.de>
Date:   Wed Jun 14 11:16:13 2023 +0200

    Store the paperSizes vector of PSOutputDev as object

    Rather than storing a pointer and allocating the std::vector
    on the heap.

    This simplifies the code and saves a few heap allocations.

 poppler/PSOutputDev.cc | 28 +++++++++++-----------------
 poppler/PSOutputDev.h  |  4 ++--
 2 files changed, 13 insertions(+), 19 deletions(-)

commit e885124ab3b071b7fbb2f001e4a9a88b7e758605
Author: Even Rouault <even.rouault@spatialys.com>
Date:   Thu Jun 15 20:25:24 2023 +0200

    utf8ToUtf16(): fix out-of-bounds write

    Fixes a regression introduced by recent
    9183da4fcb8d06360ed51f7f1131a14300008735 commit which caused the
    following Valgrind error:

    ```
    $ valgrind utils/pdftoppm /tmp/test.pdf
    ==3735668== Memcheck, a memory error detector
    ==3735668== Copyright (C) 2002-2017, and GNU GPL'd, by Julian Seward
    et al.
    ==3735668== Using Valgrind-3.15.0 and LibVEX; rerun with -h for
    copyright info
    ==3735668== Command: utils/pdftoppm /tmp/test.pdf
    ==3735668==
    Syntax Warning: May not be a PDF file (continuing anyway)
    Syntax Error: Unterminated string
    ==3735668== Invalid write of size 2
    ==3735668==    at 0x4A3570C: utf8ToUtf16(char const*, unsigned short*,
    int, int) (poppler/UTF.cc:353)
    ==3735668==    by 0x4A3584C: utf8ToUtf16(char const*, int*)
    (poppler/UTF.cc:368)
    ==3735668==    by 0x4A358D4:
    utf8ToUtf16WithBom(std::__cxx11::basic_string<char,
    std::char_traits<char>, std::allocator<char> > const&)
    (poppler/UTF.cc:379)
    ==3735668==    by 0x49F2C97: Lexer::getObj(int) (poppler/Lexer.cc:424)
    ==3735668==    by 0x4A035C2: Parser::Parser(XRef*, Stream*, bool)
    (poppler/Parser.cc:50)
    ==3735668==    by 0x49F888B: Linearization::Linearization(BaseStream*)
    (poppler/Linearization.cc:28)
    ==3735668==    by 0x4A06D8D: getLinearization (poppler/PDFDoc.cc:648)
    ==3735668==    by 0x4A06D8D: PDFDoc::isLinearized(bool)
    (poppler/PDFDoc.cc:700)
    ==3735668==    by 0x4A0518D: PDFDoc::getStartXRef(bool)
    (poppler/PDFDoc.cc:2003)
    ==3735668==    by 0x4A04BB8: PDFDoc::setup(std::optional<GooString>
    const&, std::optional<GooString> const&, std::function<void ()>
    const&) (poppler/PDFDoc.cc:246)
    ==3735668==    by 0x4A04AAB: PDFDoc::PDFDoc(std::unique_ptr<GooString,
    std::default_delete<GooString> >&&, std::optional<GooString> const&,
    std::optional<GooString> const&, void*, std::function<void ()> const&)
    (poppler/PDFDoc.cc:160)
    ==3735668==    by 0x49F93EA: LocalPDFDocBuilder::buildPDFDoc(GooString
    const&, std::optional<GooString> const&, std::optional<GooString>
    const&, void*) (poppler/LocalPDFDocBuilder.cc:0)
    ==3735668==    by 0x4A1FBB5: PDFDocFactory::createPDFDoc(GooString
    const&, std::optional<GooString> const&, std::optional<GooString>
    const&, void*) (poppler/PDFDocFactory.cc:62)
    ==3735668==  Address 0x669cf54 is 0 bytes after a block of size
    148 alloc'd
    ==3735668==    at 0x483B7F3: malloc (in
    /usr/lib/x86_64-linux-gnu/valgrind/vgpreload_memcheck-amd64-linux.so)
    ==3735668==    by 0x4A35815: gmalloc (goo/gmem.h:44)
    ==3735668==    by 0x4A35815: gmallocn (goo/gmem.h:121)
    ==3735668==    by 0x4A35815: utf8ToUtf16(char const*, int*)
    (poppler/UTF.cc:367)
    ==3735668==    by 0x4A358D4:
    utf8ToUtf16WithBom(std::__cxx11::basic_string<char,
    std::char_traits<char>, std::allocator<char> > const&)
    (poppler/UTF.cc:379)
    ==3735668==    by 0x49F2C97: Lexer::getObj(int) (poppler/Lexer.cc:424)
    ==3735668==    by 0x4A035C2: Parser::Parser(XRef*, Stream*, bool)
    (poppler/Parser.cc:50)
    ==3735668==    by 0x49F888B: Linearization::Linearization(BaseStream*)
    (poppler/Linearization.cc:28)
    ==3735668==    by 0x4A06D8D: getLinearization (poppler/PDFDoc.cc:648)
    ==3735668==    by 0x4A06D8D: PDFDoc::isLinearized(bool)
    (poppler/PDFDoc.cc:700)
    ==3735668==    by 0x4A0518D: PDFDoc::getStartXRef(bool)
    (poppler/PDFDoc.cc:2003)
    ==3735668==    by 0x4A04BB8: PDFDoc::setup(std::optional<GooString>
    const&, std::optional<GooString> const&, std::function<void ()>
    const&) (poppler/PDFDoc.cc:246)
    ==3735668==    by 0x4A04AAB: PDFDoc::PDFDoc(std::unique_ptr<GooString,
    std::default_delete<GooString> >&&, std::optional<GooString> const&,
    std::optional<GooString> const&, void*, std::function<void ()> const&)
    (poppler/PDFDoc.cc:160)
    ==3735668==    by 0x49F93EA: LocalPDFDocBuilder::buildPDFDoc(GooString
    const&, std::optional<GooString> const&, std::optional<GooString>
    const&, void*) (poppler/LocalPDFDocBuilder.cc:0)
    ==3735668==    by 0x4A1FBB5: PDFDocFactory::createPDFDoc(GooString
    const&, std::optional<GooString> const&, std::optional<GooString>
    const&, void*) (poppler/PDFDocFactory.cc:62)
    ```

    Fixes https://bugs.chromium.org/p/oss-fuzz/issues/detail?id=59840

 poppler/UTF.cc                     | 2 +-
 poppler/UTF.h                      | 2 +-
 qt5/tests/check_utf_conversion.cpp | 2 +-
 qt6/tests/check_utf_conversion.cpp | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

commit cd99989705824202d157c33d48c998e9818ea2f3
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Mon Jun 12 14:19:18 2023 +0200

    Revert "Remove poppler mingw CI until it's fixed again"

    This reverts commit 2dcbf58328e5acaafaa73dc2e601e5737c685789.

 .gitlab-ci.yml | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit 8eea66b804c2651be4d91eed4b0992cc0c6f3e47
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jun 14 22:13:17 2023 +0200

    PSOutputDev::writePSFmt is GOOSTRING_FORMAT

 poppler/PSOutputDev.h | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit 79ba5720ea8067b43d79c5dc100116cee75ccdbe
Author: Oliver Sander <oliver.sander@tu-dresden.de>
Date:   Wed Jun 14 11:08:42 2023 +0200

    Remove method Hints::getPageRanges

    It is not used.

 poppler/Hints.cc | 41 -----------------------------------------
 poppler/Hints.h  |  1 -
 2 files changed, 42 deletions(-)

commit 222982849168a8aa0a78cb2a4fa2b903f2f74146
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed Jun 14 00:33:00 2023 +0200

    Update (C)

 poppler/Lexer.cc | 1 +
 poppler/UTF.cc   | 1 +
 poppler/UTF.h    | 1 +
 3 files changed, 3 insertions(+)

commit 9183da4fcb8d06360ed51f7f1131a14300008735
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Tue Jun 13 22:24:24 2023 +0000

    Fix reading of utf8-with-bom files

 poppler/Lexer.cc                 | 27 ++++++++++++-------
 poppler/UTF.cc                   |  3 +++
 poppler/UTF.h                    | 11 ++++++++
 qt5/tests/CMakeLists.txt         |  3 ++-
 qt5/tests/check_utf8document.cpp | 57
 ++++++++++++++++++++++++++++++++++++++++
 qt6/tests/CMakeLists.txt         |  1 +
 qt6/tests/check_utf8document.cpp | 57
 ++++++++++++++++++++++++++++++++++++++++
 7 files changed, 148 insertions(+), 11 deletions(-)

commit 7cf6cd7b9a0fc496738c245421eea54ec669448d
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Mon Jun 12 12:22:13 2023 +0200

    Describe signature dump format in manual page

    fixes #215

 utils/pdfsig.1 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 19679f2873369117204c3e555967a5c9ed9187d6
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Fri Jun 9 16:30:47 2023 +0200

    Fix build without NSS

    Happened as a mismerge during !1394

 utils/pdfsig.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit f67c0187430b04b8f575686357a1669142e2949e
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Fri Jun 9 16:27:37 2023 +0200

    Fix 32bit build.

    Resolves !1402.
    Thanks, Thomas

 poppler/GPGMECryptoSignBackend.cc | 1 +
 1 file changed, 1 insertion(+)

commit 8d4764b498d4f9798e9aaedbce5e442d382acb0a
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Tue Jun 6 16:02:25 2023 +0000

    pdfsig: Allow show and select backend

 utils/CMakeLists.txt |  6 ++++--
 utils/pdfsig.1       |  8 +++++++-
 utils/pdfsig.cc      | 52
 +++++++++++++++++++++++++++++++++++++++++++++++++---
 3 files changed, 60 insertions(+), 6 deletions(-)

commit def45c82b36ec393fbaf16d9873db23bc9659b80
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Mon Jun 5 12:36:44 2023 +0200

    Don't fail signature basics tests if backend is not configured

 qt5/tests/check_signature_basics.cpp | 22 +++++++++++++++++-----
 qt6/tests/check_signature_basics.cpp | 22 +++++++++++++++++-----
 2 files changed, 34 insertions(+), 10 deletions(-)

commit f0373f62df9cb6b7bff29150344fddfe1e8361c5
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jun 5 12:12:40 2023 +0200

    poppler 23.06.0

 CMakeLists.txt         |  4 ++--
 NEWS                   | 23 +++++++++++++++++++++++
 cpp/Doxyfile           |  2 +-
 qt5/src/CMakeLists.txt |  2 +-
 qt5/src/Doxyfile       |  2 +-
 qt6/src/CMakeLists.txt |  2 +-
 qt6/src/Doxyfile       |  2 +-
 7 files changed, 30 insertions(+), 7 deletions(-)

commit fa00b3fbbd62c5b6b5383d9997a9d5c30827b386
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Mon Jun 5 11:09:09 2023 +0200

    Fix cornercase crash in weird pdfsig setups

    This fixes a potential crash in setups where at least one
    cryptographic
    signature backend is compiled in, but none is functional.

 utils/pdfsig.cc | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

commit c002bee1f2010d13c85a46e6816920ecdccb3015
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Thu May 25 13:21:08 2023 +0200

    Store embedded fonts widths table more effective

    Some non-scientific experiments:
    A single 8k pdf document with okular adding a simple typewriter
    annotation with content "aoeu" in approximately the same place grows
    without this patch to 894k. With this patch, it grows to 649k.

    For comparison, if one doesn't embed the widths content at all,
    the same
    process grew to 638k

    While this isn't ground breaking gains, it is still some improvement.

 poppler/CIDFontsWidthsBuilder.h           | 190
 ++++++++++++++++++++++++++++++
 poppler/Form.cc                           |  36 +++++-
 qt5/tests/CMakeLists.txt                  |   1 +
 qt5/tests/check_cidfontswidthsbuilder.cpp | 100 ++++++++++++++++
 qt6/tests/CMakeLists.txt                  |   1 +
 qt6/tests/check_cidfontswidthsbuilder.cpp | 100 ++++++++++++++++
 6 files changed, 423 insertions(+), 5 deletions(-)

commit 2dcbf58328e5acaafaa73dc2e601e5737c685789
Author: Albert Astals Cid <aacid@kde.org>
Date:   Mon Jun 5 00:56:51 2023 +0200

    Remove poppler mingw CI until it's fixed again

    https://bugzilla.redhat.com/show_bug.cgi?id=2212050

 .gitlab-ci.yml | 12 ------------
 1 file changed, 12 deletions(-)

commit 981210b9dcc47ce2209ae7091cf6df87c958b6b2
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Tue May 30 22:06:20 2023 +0000

    Rename NSS CryptoSign backend classes and files in line with GPG
    backend.

 CMakeLists.txt                                     |  2 +-
 poppler/CryptoSignBackend.cc                       |  2 +-
 ...SignatureHandler.cc => NSSCryptoSignBackend.cc} | 58
 +++++++++++++---------
 .../{SignatureHandler.h => NSSCryptoSignBackend.h} | 32 ++++++------
 qt5/src/poppler-form.cc                            |  8 +--
 qt6/src/poppler-form.cc                            |  8 +--
 utils/pdfsig.cc                                    |  8 +--
 7 files changed, 63 insertions(+), 55 deletions(-)

commit c6dd11d89a08a6e4ab93d31b6d5d89a9153d9a91
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun May 28 01:00:51 2023 +0200

    Update (C)

 poppler/GfxFont.cc | 1 +
 1 file changed, 1 insertion(+)

commit 333b04802a3a9dbdb0d0e0caec553fd1037c4c92
Author: Khaled Hosny <khaled@aliftype.com>
Date:   Mon May 8 18:35:10 2023 +0300

    Try harder to get Type 3 font name

    There is no BaseFont in Type 3 fonts, so we first try
    fontDescriptor’s
    FontName, but fontDescriptor is optional so we then try the Name key.

    Fixes #1396

 poppler/GfxFont.cc | 19 +++++++++++++++++++
 1 file changed, 19 insertions(+)

commit 82fc01784dcfc3e22ee0053e4ecfa9b500119b19
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu May 25 12:25:57 2023 +0200

    Update (C)

 qt5/src/poppler-form.h | 1 +
 qt6/src/poppler-form.h | 1 +
 2 files changed, 2 insertions(+)

commit 83630a0ecf3db671c820b80f584e45ab9927c3fe
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Wed May 24 23:04:24 2023 +0000

    Qt frontend code for selecting cryptosign backend

 qt5/src/poppler-form.cc | 88
 ++++++++++++++++++++++++++++++++++++++++++++++++
 qt5/src/poppler-form.h  | 55 +++++++++++++++++++++++++++++-
 qt6/src/poppler-form.cc | 89
 +++++++++++++++++++++++++++++++++++++++++++++++++
 qt6/src/poppler-form.h  | 54 +++++++++++++++++++++++++++++-
 4 files changed, 284 insertions(+), 2 deletions(-)

commit a2b249f8a5bc6f8fe23d02f6e04cbfd132a46629
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue May 23 00:07:23 2023 +0200

    Update (C)

 poppler/CairoFontEngine.cc | 1 +
 1 file changed, 1 insertion(+)

commit 6f7c8d24aa699327917772fb04b7cb52ab5803f5
Author: Ilia Kats <ilia-kats@gmx.net>
Date:   Mon May 22 11:48:04 2023 +0200

    fix segfault in _free_type3_font_info

    The destructor of Gfx calls methods of outputDev, so it needs to be
    deleted first

 poppler/CairoFontEngine.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 33672ca1b6670f7378e24f6d475438f7f5d86b05
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Mon May 22 19:53:08 2023 +0000

    Fix crash with weird hashing used for signatures

 poppler/SignatureHandler.cc | 15 ++++++++++++---
 poppler/SignatureHandler.h  |  7 ++++++-
 2 files changed, 18 insertions(+), 4 deletions(-)

commit 4efd2f9f8175cb5d448809b56f67524df6e220aa
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Tue Apr 11 13:39:36 2023 +0200

    Cryptosign backend using gpgme (gpgsm) for all your signature needs

 CMakeLists.txt                       |   9 +-
 config.h.cmake                       |   3 +
 poppler/CryptoSignBackend.cc         |  18 ++
 poppler/CryptoSignBackend.h          |   3 +-
 poppler/GPGMECryptoSignBackend.cc    | 387
 +++++++++++++++++++++++++++++++++++
 poppler/GPGMECryptoSignBackend.h     |  57 ++++++
 qt5/tests/check_signature_basics.cpp |  52 ++++-
 qt6/tests/check_signature_basics.cpp |  50 ++++-
 8 files changed, 557 insertions(+), 22 deletions(-)

commit 9065bd7d5fb9f9554235eafe8a67d0f67ea25faf
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Mon May 1 15:40:39 2023 +0200

    Set certificate info a bit earlier; that way we also get it if
    signature validation fails

 poppler/Form.cc | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

commit 266a2fd0a8cce584e0ffad0bc06670ed7136fc19
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Mon Mar 27 11:11:24 2023 +0200

    Add function to get specific element from the DN parse result

 poppler/DistinguishedNameParser.h | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

commit 395a5b7e5a8efa049a0eb3a4bbff41737aaf5fc1
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Fri Mar 10 13:00:09 2023 +0100

    Parser for Distinguished Names in certificates

    Not all crypto libraries exposes the fields parsed, so we wil need our
    own.

    Derived from KDE's libkleo, but improved and has added test coverage

 poppler/DistinguishedNameParser.h             | 311
 ++++++++++++++++++++++++++
 qt5/tests/CMakeLists.txt                      |   1 +
 qt5/tests/check_distinguished_name_parser.cpp | 165 ++++++++++++++
 qt6/tests/CMakeLists.txt                      |   1 +
 qt6/tests/check_distinguished_name_parser.cpp | 161 +++++++++++++
 5 files changed, 639 insertions(+)

commit 720fcc1f1b7c2d13894ce4dfee4f68a40384d91b
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Wed Mar 22 19:22:40 2023 +0100

    Let's try get in a bit of gnupg

    A script to build a gnupg2.4.1
    A gpgme that is hardcoded to use the above gnupg
    And enough CMake to see we can find it.

 .gitlab-ci.yml            |  4 +++-
 CMakeLists.txt            | 10 ++++++++--
 do-the-gnupg-2.4-dance.sh | 51
 +++++++++++++++++++++++++++++++++++++++++++++++
 3 files changed, 62 insertions(+), 3 deletions(-)

commit f07d64831252a9cb7775d12e5ce9b663aaae63d5
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat May 13 13:16:29 2023 +0200

    symbol.ttf is not a good Symbol font

    Add the URW++ font names for a proper Symbol replacement

 poppler/GlobalParamsWin.cc | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

commit 591235c8b6c65a2eee88991b9ae73490fd9afdfe
Author: Albert Astals Cid <aacid@kde.org>
Date:   Wed May 17 22:42:05 2023 +0200

    OutlineItem::open: Fix crash on malformed files

    Fixes #1399

 poppler/Outline.cc | 10 +++++++---
 1 file changed, 7 insertions(+), 3 deletions(-)

commit db6d86238a86116f4ef809d6fd19ed859c36b5c1
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Tue May 16 15:29:04 2023 +0200

    Lookup with same rules as inserting them

    Inserting fonts happens without a trailing space if font style
    is empty.
    Apply teh same rules when lookin up.

 poppler/Form.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6b70f3fc046cc0107ca3a1da0faa33e7bbb50255
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue May 16 23:12:57 2023 +0200

    Update (C)

 goo/JpegWriter.cc              | 1 +
 poppler/ImageEmbeddingUtils.cc | 1 +
 2 files changed, 2 insertions(+)

commit 2986f06c7cc9d64a506ebe861b8bf38f73386e86
Author: Jordan Abrahams-Whitehead <ajordanr@google.com>
Date:   Tue May 16 18:52:19 2023 +0000

    Add missing #include <cstdio> prior to jpeglib.h

    Fixes #1398

 goo/JpegWriter.cc              | 2 +-
 poppler/ImageEmbeddingUtils.cc | 1 +
 2 files changed, 2 insertions(+), 1 deletion(-)

commit 26199bd53fbe7a0d5b00f8586e66d6702e324e5e
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri May 5 00:29:40 2023 +0200

    Look for fonts in both windows font dir and poppler fonts dir

 poppler/GlobalParamsWin.cc | 201
 +++++++++++++++++++++++----------------------
 1 file changed, 104 insertions(+), 97 deletions(-)

commit 8aaf78b06373e2a641e565c3b9da31ac3a25b7d8
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Fri May 12 21:12:43 2023 +0200

    Skip font lookup for nonprintable characters

    This is at least one cause for
    https://bugs.kde.org/show_bug.cgi?id=469664

 poppler/Form.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit 6fd2c2e6f50b6b8f47c554c8e7e3076cd81a7554
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri May 12 16:22:24 2023 +0200

    Update (C)

 qt5/src/poppler-embeddedfile.cc | 1 +
 qt6/src/poppler-embeddedfile.cc | 1 +
 2 files changed, 2 insertions(+)

commit beb63c33457ed41033fb071eb25bb61e393280f6
Author: Andre Heinecke <aheinecke@gnupg.org>
Date:   Fri May 5 15:09:00 2023 +0200

    Fix crash when signing existing signature

    On windows, helvetica is not available and that makes poppler
    crash, so
    fix crash and add fallback to arial.

    This has already been implemented for "new" signatures, both the
    fallback and the crash in
    09fdfecea3a13d30b5c52e1258d17549739d9ea8 and
    a563801e1a6be5e70645472d82f4ba8534b454d1

    Refactor the fallback code to be reusable and use the same crash
    guard.

 poppler/Form.cc   | 25 +++++++++++++++++++++++--
 poppler/Form.h    |  4 ++++
 poppler/PDFDoc.cc | 21 +--------------------
 3 files changed, 28 insertions(+), 22 deletions(-)

commit aefd09f9eb69b91ae2cae0351280aaa66742dd84
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Thu May 11 16:43:41 2023 +0200

    Convert embedded files to bytearray a bit smarter

    The current behavior also triggers a runtime warning per byte:
    "Using QByteRef with an index pointing outside the valid range of
     a QByteArray. The corresponding behavior is deprecated, and will
     be changed in a future version of Qt."

    This will keep an extra copy of the data around during convertion,
    but that's probably okay.

 qt5/src/poppler-embeddedfile.cc | 11 ++---------
 qt6/src/poppler-embeddedfile.cc | 14 ++------------
 2 files changed, 4 insertions(+), 21 deletions(-)

commit 47856547b9b56c037049e48453f9ae65aa266a26
Author: Albert Astals Cid <aacid@kde.org>
Date:   Fri May 5 00:22:18 2023 +0200

    GooString -> std::string

 poppler/GlobalParamsWin.cc | 11 +++--------
 1 file changed, 3 insertions(+), 8 deletions(-)

commit 1e4488b2b44a56b35dee8e0bf9e33453523eb2ed
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu May 4 00:21:46 2023 +0200

    FontInfo: Make it return proper information about font substitution

    GfxFont::locateFont is what the output devices use, which is more
    complex than just findSystemFontFile so use that

 poppler/FontInfo.cc     | 8 +++-----
 poppler/GfxFont.cc      | 6 +++---
 poppler/GfxFont.h       | 3 ++-
 poppler/GlobalParams.cc | 8 ++++----
 poppler/GlobalParams.h  | 2 +-
 5 files changed, 13 insertions(+), 14 deletions(-)

commit 6a566e417b7c261252c8d3d83dd9b1c366f83194
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu May 4 14:05:45 2023 +0200

    Fix memory leak when looking for fonts in Windows

 poppler/GlobalParams.cc    |  6 +++---
 poppler/GlobalParams.h     |  4 ++--
 poppler/GlobalParamsWin.cc | 21 +++++++++------------
 3 files changed, 14 insertions(+), 17 deletions(-)

commit adf710eecf475dd7c64d7b904f7414ec3098491f
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue May 2 21:43:28 2023 +0200

    poppler 23.05.0

 CMakeLists.txt   | 4 ++--
 NEWS             | 8 ++++++++
 cpp/Doxyfile     | 2 +-
 qt5/src/Doxyfile | 2 +-
 qt6/src/Doxyfile | 2 +-
 5 files changed, 13 insertions(+), 5 deletions(-)

commit 91505b388ccb1902f86b7d9ec5baf22e879200b6
Author: Albert Astals Cid <aacid@kde.org>
Date:   Tue May 2 21:33:41 2023 +0200

    Update (C)

 poppler/Form.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 62f2eb80fb2a4d4c656e7583584aa73fbc1de511
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Apr 30 11:31:43 2023 +0200

    Form::ensureFontsForAllCharacters: Create resources if there's not one

    Fixes #1383

 poppler/Form.cc | 21 ++++++++++++++++-----
 poppler/Form.h  | 10 ++++++----
 2 files changed, 22 insertions(+), 9 deletions(-)

commit 0864da5b1063c3ddba7e68a567cc56ed3474f8b2
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Apr 30 10:28:40 2023 +0200

    Don't include an empty space at the end of the font name if there's
    no style

 poppler/Form.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2b437604157a34546f7340cc383d7cfaa292ede5
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sun Apr 30 10:26:36 2023 +0200

    Do not hardcode Noto Sans as FontName

 poppler/Form.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit c5bc25a0094b3fd10e8eea5296a006a4f530a771
Author: Nicolas Fella <nicolas.fella@kdab.com>
Date:   Fri Apr 28 18:51:59 2023 +0200

    Set SigFlags when signing unsigned signature

    When creating a new signature we change SigFlags to indicate that
    there are now signatures

    However when signing an existing unsigned signature form that
    doesn't happen

    This breaks working on the file in Acrobat reader, e.g. it doesn't
    show the signatures panel and can't save amendments to the file

    Fixes https://bugs.kde.org/show_bug.cgi?id=461371

 poppler/Form.cc | 3 +++
 1 file changed, 3 insertions(+)

commit 39d0009741465344f8a30a3129081cd18bb378bb
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Fri Apr 14 17:12:24 2023 +0200

    API fixup: Use optional instead of a 'None' backend

    Let's fix the cryptosign backend code before release.

 poppler/CryptoSignBackend.cc | 13 +++++++------
 poppler/CryptoSignBackend.h  |  3 +--
 2 files changed, 8 insertions(+), 8 deletions(-)

commit 2cf3cf58ed9f70b99e6ee93c57bb434a52a0e857
Author: Albert Astals Cid <aacid@kde.org>
Date:   Thu Apr 27 11:50:45 2023 +0200

    Check overflow in nvals correctly

 poppler/Stream.cc | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

commit abc60c57be8f0dfb5b3b7b47ed9a086df9010503
Author: Albert Astals Cid <aacid@kde.org>
Date:   Sat Apr 22 16:35:09 2023 +0200

    CI: Update Fedora to 38

 .gitlab-ci.yml | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit cc5ac1665aa3056d1f90a12e12d24a02536647e0
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Mon Mar 27 10:40:19 2023 +0200

    Adapt signature code to the backend interface

    Also set the signature info a bit later;
    gpgme only gives us the info after the validateSignature call

 CMakeLists.txt              | 25 +++++++++++++
 config.h.cmake              |  6 ++++
 poppler/Form.cc             | 87
 +++++++++++++++++++++++----------------------
 poppler/Form.h              |  8 +++--
 poppler/SignatureHandler.cc | 56 +++++++++++++++--------------
 poppler/SignatureHandler.h  | 45 ++++++++++++-----------
 qt5/src/poppler-form.cc     | 30 ++++++++--------
 qt6/src/poppler-form.cc     | 30 ++++++++--------
 utils/pdfsig.cc             |  3 +-
 9 files changed, 168 insertions(+), 122 deletions(-)

commit cb96047d029e2145191d79b7ece17b4a215794cd
Author: Sune Vuorela <sune@vuorela.dk>
Date:   Thu Mar 23 16:40:59 2023 +0100

    Backending infrastructure

 poppler/CryptoSignBackend.cc |  97
 +++++++++++++++++++++++++++++++++++++++++
 poppler/CryptoSignBackend.h  | 101
 +++++++++++++++++++++++++++++++++++++++++++
